Bug 50120 - Annoying xmris input focus policy
Annoying xmris input focus policy
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: xmris (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-26 19:22 EDT by James Turner
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-03 11:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Turner 2001-07-26 19:22:08 EDT
Description of Problem:
In order to have the input focus correctly, the window needs to have
both been clicked on AND have the pointer inside it. This ignores
the user's preferences configured in the window manager (for both
KDE and Sawfish anyway). Also, the pointer is invisible when inside the
main xmris window which can be confusing to novice users (and annoying
to non-novies!).

How Reproducible:
Every time.

Steps to Reproduce:
Load up xmris.

Actual Results:
 - Window only focused if clicked AND mouse inside the window
 - Mouse pointer invisible when inside window

Expected Results:
 - Focus policy is the same as other windows, eg as defined in
   the window manager preferences.
 - Mouse pointer stays visible (either the default shape or a
   "normal-looking" arrow?)

Additional Information:
None
Comment 1 Ngo Than 2001-10-16 19:17:54 EDT
xmris is gone in 7.2. so i close it.

Note You need to log in before you can comment on or make changes to this bug.